#/**********************************************************************************
#* Copyright (C) 2017-2020 by KEYARK, INC. - All Rights Reserved.
#* All information contained herein is proprietary and confidential to KEYARK, INC.
#* Any use, reproduction, or disclosure without the written
#* permission of KEYARK, INC. is prohibited.
#* Written by Natalia Belyaeva <nbelyaeva@keyark.com>
#***********************************************************************************/
KEYSQL_KEYWORDS = set(
    "FROM",
    "WHERE",
    "WHERENOT",
    "ORDER",
    "GROUP",
    "LIMIT",
    "HAVING",
    "SET",
    "SELECT",
    "UPDATE",
    "DELETE",
    "DROP",
    "SHOW",
    "INSERT",
    "CREATE",
    "STORE",
    "CATALOG",
    "KEOBJECT",
    "INSTANCES",
    "LIKE",
    "NULL",
    "NOT",
    "IN",
    "BETWEEN",
    "ASC",
    "DESC",
    "MOD",
    "IS",
    "AND",
    "ANY",
    "OR",
    "XOR",
    "BY",
    "FOR",
    "AS",
    "CHAR",
    "NUMBER",
    "DATE",
    "DAY",
    "MONTH",
    "YEAR",
    "ANY",
    "EXISTS",
    "CASE",
    "IF",
    "THEN",
    "ELSE",
    "IFNULL",
    "NULLIF",
    "TRUE",
    "FALSE",
    "LEFT",
    "RIGHT",
    "FOUND",
    "JOIN",
    "MULTIPLE",
    "DISTINCT",
    "CONCAT",
    "HEX",
    "FORMAT",
    "MID",
    "MATCH",
    "LOCATE",
    "ORD",
    "SUBSTR",
    "SUBSTRING",
    "TRIM",
    "RTRIM",
    "LTRIM",
    "REPLACE",
    "REVERSE",
    "CONCAT",
    "LOWER",
    "UPPER",
    "STRCMP",
    "REGEXP",
    "LENGTH",
    "CAST",
    "ABS",
    "ACOS",
    "ASIN",
    "ATAN",
    "CEIL",
    "CEILING",
    "CONV",
    "COS",
    "COT",
    "DIV",
    "EXP",
    "FLOOR",
    "LN",
    "LOG",
    #"LOG10", # not implemented
    #"LOG2",  # not implemented
    "MOD",
    "PI",
    "POW",
    "POWER",
    "RADIANS",
    "RAND",
    "ROUND",
    "SIGN",
    "SIN",
    "SQRT",
    "TAN",
    "TRUNCATE",
    "RESULT",
    "FLATTEN",
)

def check_allowed_keysql_name(name: str) -> bool:
    if len(name) == 0 or name in KEYSQL_KEYWORDS:
        return False

    return True
