# setup.py
from setuptools import setup
from setuptools import find_packages

from setuptools.command.build_py import build_py as build_py_orig

REQUIRED_PACKAGES = [
    'python>=3.7',
    #'ssl'
]
setup(
    name='keysql_client',
    version='2.8.2', # '2.5', #'2.03', # '2.02.1',
    #scripts=['keysql_client'],
    #packages=['keysql_client'],
    #url='https://keyark.com',tust
    author='keyark',
    author_email='nbelyaeva@keyark.com',
    description='Python KeySQL client to process data using KeySql Server',
    include_package_data=True,
    package_data={'keysql_client':['*'], 'keysql_python_examples':['*'],'keysql_docs':['*'],},
    #packages=find_packages(),
    #packages=find_packages(include=['keysql_client', 'keysql_python_examples', 'keysql_docs', 'keysql_ml'],
    packages=find_packages( include=['.', 'keysql_python_examples', 'keysql_docs'],    #'keysql_ml'],
    #packages=find_packages(include=['keysql_client', 'keysql_ml'],
                           exclude=['keysql_client/keysql_connector_async_coroutine.py',
                                    "keysql_client/keysql_connection_async_coroutine.py",
                                    'keysql_client/keysql_connector_async_coroutine_temp.py',
                                    "keysql_client/keysql_connector_async_test_birds.py",
                                    'keysql_client/keysql_connector_non_blocking_as_example.py']
                            ),
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    #install_requires=REQUIRED_PACKAGES,
    zip_safe=False, install_requires=[
        'pandas'
        ],
    exclude_package_data={'keysql_client': [
        'keysql_connector_async_coroutine.py'
        'keysql_connection_async_coroutine.py'
        'keysql_connector_async_coroutine_temp'
        'keysql_connector_async_test_birds.py'
        'keysql_connector_non_blocking_as_example.py']
    }
)
